Subject: [sipcore] Third-Party Authentication for Session Initiation Protocol (SIP)

From: Rifaat Shekh-Yusef <[email-masked]>
Date: Tue, 10 Jan 2017 09:13:39 -0500

Hi,

Last year we had a long discussion on the mailing list about an AuthNZ
mechanism for SIP.
The AuthZ part seems to be controversial, while based on some offline
discussion with Jon Peterson, the AuthN part seem *not* to be controversial.
So, we decided to separate these discussions and first try to address the
AuthN part, hence the following draft:
https://datatracker.ietf.org/doc/draft-yusef-sipcore-sip-authn/

The draft defines an authentication mechanism for SIP using OpenID
Connect/OAuth 2.0 to enable the delegation of the user authentication to a
dedicated third-party IdP entity that is separate from the SIP network
elements that provide the SIP service.

We would appreciate any review and feedback on the document.

Regards,
 Rifaat